"""
URL configuration for reymota project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings
from django.views.generic.base import TemplateView  # new

from . import views

urlpatterns = [
    path('marcelo/', admin.site.urls),

    path('repostajes/', include('repostajes.urls')),

    path('lyrics/', include('lyrics.urls')),

    path("accounts/", include("accounts.urls")),  # new

    path("accounts/", include("django.contrib.auth.urls")),

    path("", TemplateView.as_view(template_name="index.html"),
         name="principal"),  # new

    path('entorno/', views.ver_variables_entorno, name='ver_variables_entorno'),

    path('usuarios/', include("reymotausers.urls")),

    path("acerca-de/", views.acerca_de, name="acerca_de"),

] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
